Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events
Class SituationImpl

    java.lang.Object
      |
      +--org.eclipse.hyades.logging.events.SituationImpl

All Implemented Interfaces:
  java.lang.Cloneable, ISituation, java.io.Serializable

Deprecated. This class is deprecated as of 2004-05-17. Use the corresponding class available in org.eclipse.hyades.logging.events.cbe*

public class SituationImpl
extends java.lang.Object
implements ISituation, java.io.Serializable, java.lang.Cloneable

Taken from "Canonical Situation Data Format: The Common Base Event V1.0.1 ACAB.BO0301.0.1" The situation specifies the type of the situation that caused the event to be reported. The situation is the data that describes the situation or event reported by the event. The situation information includes a required set of properties or attributes that are common across products groups and platforms, yet architected and flexible to allow for adoption to product-specific requirements.

Since:
  1.0.1
Version:
  1.0.1
Author:
  Richard K. Duggan, Paul E. Slauenwhite
See Also:
  `ISituation`, Serialized Form

Field Summary
`protected java.lang.String` | `categoryName` Deprecated.
`protected ISituationType` | `situationType` Deprecated.

Fields inherited from interface org.eclipse.hyades.logging.events.ISituation
`AVAILABLE_SITUATION_CATEGORY, CONFIGURE_SITUATION_CATEGORY, CONNECT_SITUATION_CATEGORY, CREATE_SITUATION_CATEGORY, DEPENDENCY_SITUATION_CATEGORY, DESTROY_SITUATION_CATEGORY, FEATURE_SITUATION_CATEGORY, OTHER_SITUATION_CATEGORY, REPORT_SITUATION_CATEGORY, REQUEST_SITUATION_CATEGORY, START_SITUATION_CATEGORY, STOP_SITUATION_CATEGORY`

Constructor Summary
`protected` | `SituationImpl()` Deprecated. No-argument protected constructor for SituationImpl.

Method Summary
`java.lang.Object` | `clone()` Deprecated. Return a clone (copy by value) of this object.
`boolean` | `equals(java.lang.Object object)` Deprecated. Overrides the `java.lang.Object`'s equals() API to determine if the parameter `object` is equal to this object.
`java.lang.String` | `getCategoryName()` Deprecated. Returns the categoryName.
`ISituationType` | `getSituationType()` Deprecated. Returns the situationType.
`void` | `init()` Deprecated. Resets the object's properties to their initial (e.g. null) state.
`void` | `setAvailableSituation(java.lang.String reasoningScope, java.lang.String availabilityDisposition, java.lang.String operationDisposition, java.lang.String processingDisposition)` Deprecated. Helper method to set the specified situation.
`void` | `setCategoryName(java.lang.String categoryName)` Deprecated. Sets the categoryName.
`void` | `setConfigureSituation(java.lang.String reasoningScope, java.lang.String successDisposition)` Deprecated. Helper method to set the specified situation.
`void` | `setConnectSituation(java.lang.String reasoningScope, java.lang.String situationDisposition, java.lang.String successDisposition)` Deprecated. Helper method to set the specified situation.
`void` | `setCreateSituation(java.lang.String reasoningScope, java.lang.String successDisposition)` Deprecated. Helper method to set the specified situation.
`void` | `setDependencySituation(java.lang.String reasoningScope, java.lang.String dependencyDisposition)` Deprecated. Helper method to set the specified situation.
`void` | `setDestroySituation(java.lang.String reasoningScope, java.lang.String successDisposition)` Deprecated. Helper method to set the specified situation.
`void` | `setFeatureSituation(java.lang.String reasoningScope, java.lang.String featureDisposition)` Deprecated. Helper method to set the specified situation.
`void` | `setOtherSituation(java.lang.String reasoningScope, java.lang.String any)` Deprecated. Helper method to set the specified situation.
`void` | `setReportSituation(java.lang.String reasoningScope, java.lang.String reportCategory)` Deprecated. Helper method to set the specified situation.
`void` | `setRequestSituation(java.lang.String reasoningScope, java.lang.String situationQualifier, java.lang.String successDisposition)` Deprecated. Helper method to set the specified situation.
`void` | `setSituationType(ISituationType situationType)` Deprecated. Sets the situationType.
`void` | `setStartSituation(java.lang.String reasoningScope, java.lang.String situationQualifier, java.lang.String successDisposition)` Deprecated. Helper method to set the specified situation.
`void` | `setStopSituation(java.lang.String reasoningScope, java.lang.String situationQualifier, java.lang.String successDisposition)` Deprecated. Helper method to set the specified situation.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### categoryName

    protected java.lang.String categoryName

  Deprecated.

### situationType

    protected ISituationType situationType

  Deprecated.

Constructor Detail

### SituationImpl

    protected SituationImpl()

  Deprecated.
  No-argument protected constructor for SituationImpl.

Method Detail

### getSituationType

    public ISituationType getSituationType()

  Deprecated.
  Returns the situationType. The situationType specifies the type of the situation that caused the event to be reported. See SituationType definition for details. This is an REQUIRED property.

  Specified by:
    `getSituationType` in interface `ISituation`
  Returns:
    String The returned situationType.
  Since:
    1.0.1

### getCategoryName

    public java.lang.String getCategoryName()

  Deprecated.
  Returns the categoryName. The categoryName specifies the type of the situation that caused the event to be reported. The categoryName is a string and has the following set of values: StartSituation StopSituation ConnectSituation ConfigureSituation RequestSituation FeatureSituation DependencySituation CreateSituation DestroySituation ReportSituation AvailableSituation OtherSituation This is a REQUIRED property. The string length for this property MUST NOT exceed 64 characters.

  Specified by:
    `getCategoryName` in interface `ISituation`
  Returns:
    String The returned categoryName.
  Since:
    1.0.1

### setSituationType

    public void setSituationType(ISituationType situationType)

  Deprecated.
  Sets the situationType. The situationType specifies the type of the situation that caused the event to be reported. See SituationType definition for details. This is an REQUIRED property.

  Specified by:
    `setSituationType` in interface `ISituation`
  Parameters:
    `situationType` - The situationType to be set.
  Since:
    1.0.1

### setCategoryName

    public void setCategoryName(java.lang.String categoryName)

  Deprecated.
  Sets the categoryName. The categoryName specifies the type of the situation that caused the event to be reported. The categoryName is a string and has the following set of values: StartSituation StopSituation ConnectSituation ConfigureSituation RequestSituation FeatureSituation DependencySituation CreateSituation DestroySituation ReportSituation AvailableSituation OtherSituation This is a REQUIRED property. The string length for this property MUST NOT exceed 64 characters.

  Specified by:
    `setCategoryName` in interface `ISituation`
  Parameters:
    `categoryName` - The categoryName to be set.
  Since:
    1.0.1

### equals

    public boolean equals(java.lang.Object object)

  Deprecated.
  Overrides the `java.lang.Object`'s equals() API to determine if the parameter `object` is equal to this object.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `object` - The `java.lang.Object` to be compared to this object.
  Returns:
    true if this object is the same as the parameter `object`, false otherwise.
  See Also:
    `Object.equals(java.lang.Object)`

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Deprecated.
  Return a clone (copy by value) of this object. This is a deep copy version, in which all the objects within this object will be copied by value.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    Object The clone of this object.
    `java.lang.CloneNotSupportedException`

### init

    public void init()

  Deprecated.
  Resets the object's properties to their initial (e.g. null) state.

  Specified by:
    `init` in interface `ISituation`
  See Also:
    `ISituation.init()`

### setAvailableSituation

    public void setAvailableSituation(java.lang.String reasoningScope,
                                      java.lang.String availabilityDisposition,
                                      java.lang.String operationDisposition,
                                      java.lang.String processingDisposition)

  Deprecated.
  Description copied from interface: `ISituation`
  Helper method to set the specified situation.

  Specified by:
    `setAvailableSituation` in interface `ISituation`
  See Also:
    `ISituation.setAvailableSituation(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

### setConfigureSituation

    public void setConfigureSituation(java.lang.String reasoningScope,
                                      java.lang.String successDisposition)

  Deprecated.
  Description copied from interface: `ISituation`
  Helper method to set the specified situation.

  Specified by:
    `setConfigureSituation` in interface `ISituation`
  See Also:
    `ISituation.setConfigureSituation(java.lang.String, java.lang.String)`

### setConnectSituation

    public void setConnectSituation(java.lang.String reasoningScope,
                                    java.lang.String situationDisposition,
                                    java.lang.String successDisposition)

  Deprecated.
  Description copied from interface: `ISituation`
  Helper method to set the specified situation.

  Specified by:
    `setConnectSituation` in interface `ISituation`
  See Also:
    `ISituation.setConnectSituation(java.lang.String, java.lang.String, java.lang.String)`

### setCreateSituation

    public void setCreateSituation(java.lang.String reasoningScope,
                                   java.lang.String successDisposition)

  Deprecated.
  Description copied from interface: `ISituation`
  Helper method to set the specified situation.

  Specified by:
    `setCreateSituation` in interface `ISituation`
  See Also:
    `ISituation.setCreateSituation(java.lang.String, java.lang.String)`

### setDependencySituation

    public void setDependencySituation(java.lang.String reasoningScope,
                                       java.lang.String dependencyDisposition)

  Deprecated.
  Description copied from interface: `ISituation`
  Helper method to set the specified situation.

  Specified by:
    `setDependencySituation` in interface `ISituation`
  See Also:
    `ISituation.setDependencySituation(java.lang.String, java.lang.String)`

### setDestroySituation

    public void setDestroySituation(java.lang.String reasoningScope,
                                    java.lang.String successDisposition)

  Deprecated.
  Description copied from interface: `ISituation`
  Helper method to set the specified situation.

  Specified by:
    `setDestroySituation` in interface `ISituation`
  See Also:
    `ISituation.setDestroySituation(java.lang.String, java.lang.String)`

### setFeatureSituation

    public void setFeatureSituation(java.lang.String reasoningScope,
                                    java.lang.String featureDisposition)

  Deprecated.
  Description copied from interface: `ISituation`
  Helper method to set the specified situation.

  Specified by:
    `setFeatureSituation` in interface `ISituation`
  See Also:
    `ISituation.setFeatureSituation(java.lang.String, java.lang.String)`

### setOtherSituation

    public void setOtherSituation(java.lang.String reasoningScope,
                                  java.lang.String any)

  Deprecated.
  Description copied from interface: `ISituation`
  Helper method to set the specified situation.

  Specified by:
    `setOtherSituation` in interface `ISituation`
  See Also:
    `ISituation.setOtherSituation(java.lang.String, java.lang.String)`

### setReportSituation

    public void setReportSituation(java.lang.String reasoningScope,
                                   java.lang.String reportCategory)

  Deprecated.
  Description copied from interface: `ISituation`
  Helper method to set the specified situation.

  Specified by:
    `setReportSituation` in interface `ISituation`
  See Also:
    `ISituation.setReportSituation(java.lang.String, java.lang.String)`

### setRequestSituation

    public void setRequestSituation(java.lang.String reasoningScope,
                                    java.lang.String situationQualifier,
                                    java.lang.String successDisposition)

  Deprecated.
  Description copied from interface: `ISituation`
  Helper method to set the specified situation.

  Specified by:
    `setRequestSituation` in interface `ISituation`
  See Also:
    `ISituation.setRequestSituation(java.lang.String, java.lang.String, java.lang.String)`

### setStartSituation

    public void setStartSituation(java.lang.String reasoningScope,
                                  java.lang.String situationQualifier,
                                  java.lang.String successDisposition)

  Deprecated.
  Description copied from interface: `ISituation`
  Helper method to set the specified situation.

  Specified by:
    `setStartSituation` in interface `ISituation`
  See Also:
    `ISituation.setStartSituation(java.lang.String, java.lang.String, java.lang.String)`

### setStopSituation

    public void setStopSituation(java.lang.String reasoningScope,
                                 java.lang.String situationQualifier,
                                 java.lang.String successDisposition)

  Deprecated.
  Description copied from interface: `ISituation`
  Helper method to set the specified situation.

  Specified by:
    `setStopSituation` in interface `ISituation`
  See Also:
    `ISituation.setStopSituation(java.lang.String, java.lang.String, java.lang.String)`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD